Bug#218009: gnome-mime-data: gnome-vfs-mime-magic overrides ".gdesklets" files

Sebastien Bacher Sebastien Bacher <seb128@debian.org>, 218009@bugs.debian.org
Sat, 08 Nov 2003 00:04:35 +0100


--=-=-=


The upload patch

Cheers,
 
Sebastien Bacher



--=-=-=
Content-Type: text/x-patch
Content-Disposition: attachment; filename=gnome-mime-data-nmu.patch

diff -Nur gnome-mime-data-2.4.0.orig/debian/changelog gnome-mime-data-2.4.0/debian/changelog
--- gnome-mime-data-2.4.0.orig/debian/changelog	2003-11-08 00:00:29.000000000 +0100
+++ gnome-mime-data-2.4.0/debian/changelog	2003-11-08 00:00:07.000000000 +0100
@@ -1,3 +1,11 @@
+gnome-mime-data (2.4.0-2) unstable; urgency=low
+  
+  * New patches:
+    + 01_display_gdesklets.dpatch: fixed .display detection for gdesklets 
+      (Closes: #218009).
+
+ -- Sebastien Bacher <seb128@debian.org>  Fri,  7 Nov 2003 22:49:17 +0100
+
 gnome-mime-data (2.4.0-1) unstable; urgency=low
 
   * New upstream release
diff -Nur gnome-mime-data-2.4.0.orig/debian/control gnome-mime-data-2.4.0/debian/control
--- gnome-mime-data-2.4.0.orig/debian/control	2003-11-08 00:00:29.000000000 +0100
+++ gnome-mime-data-2.4.0/debian/control	2003-11-08 00:00:07.000000000 +0100
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Takuo KITAME <kitame@debian.org>
 Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Akira TAGOH <tagoh@debian.org>, Andrew Lau <netsnipe@users.sourceforge.net>, Edd Dumbill <ejad@debian.org>, Emil Soleyman-Zomalan <emil@nishra.com>, Gustavo Noronha Silva <kov@debian.org>, Johannes Rohr <j.rohr@comlink.apc.org>, Jordi Mallach <jordi@debian.org>, Josselin Mouette <joss@debian.org>, Rob Bradford <rob@debianplanet.org>, Robert McQueen <robot101@debian.org>, Ross Burton <ross@burtonini.com>, Sebastien Bacher <seb128@debian.org>
-Build-Depends-Indep: debhelper (>> 3.0.0), gettext
+Build-Depends-Indep: debhelper (>> 3.0.0), gettext, dpatch
 Standards-Version: 3.6.1.0
 
 Package: gnome-mime-data
diff -Nur gnome-mime-data-2.4.0.orig/debian/patches/00list gnome-mime-data-2.4.0/debian/patches/00list
--- gnome-mime-data-2.4.0.orig/debian/patches/00list	1970-01-01 01:00:00.000000000 +0100
+++ gnome-mime-data-2.4.0/debian/patches/00list	2003-11-08 00:00:07.000000000 +0100
@@ -0,0 +1 @@
+01_display_gdesklets
diff -Nur gnome-mime-data-2.4.0.orig/debian/patches/01_display_gdesklets.dpatch gnome-mime-data-2.4.0/debian/patches/01_display_gdesklets.dpatch
--- gnome-mime-data-2.4.0.orig/debian/patches/01_display_gdesklets.dpatch	1970-01-01 01:00:00.000000000 +0100
+++ gnome-mime-data-2.4.0/debian/patches/01_display_gdesklets.dpatch	2003-11-08 00:00:07.000000000 +0100
@@ -0,0 +1,36 @@
+#!/bin/sh -e
+## 01_display_gdesklets.dpatch by Sebastien Bacher <seb128@debian.org>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: No description.
+
+if [ $# -ne 1 ]; then
+    echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+    exit 1
+fi
+
+[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
+patch_opts="${patch_opts:--f --no-backup-if-mismatch}"
+
+case "$1" in
+       -patch) patch $patch_opts -p1 < $0;;
+       -unpatch) patch $patch_opts -p1 -R < $0;;
+        *)
+                echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+                exit 1;;
+esac
+
+exit 0
+
+@DPATCH@
+diff -urNad /tmp/gnome-mime-data-2.4.0/gnome-vfs-mime-magic gnome-mime-data-2.4.0/gnome-vfs-mime-magic
+--- /tmp/gnome-mime-data-2.4.0/gnome-vfs-mime-magic	2003-07-22 20:36:41.000000000 +0200
++++ gnome-mime-data-2.4.0/gnome-vfs-mime-magic	2003-11-07 22:57:18.000000000 +0100
+@@ -128,6 +128,7 @@
+ # svg rules need to go before html
+ 0:256	string		\<!DOCTYPE\ svg				image/svg
+ 0:64	string		\<svg					image/svg
++0:256	string          \<display                               application/x-gdesklets-display
+ # php rules need to go before html
+ 0:64	string		\<?php					application/x-php
+ 0:64	string		\<smil\>				application/x-smil
diff -Nur gnome-mime-data-2.4.0.orig/debian/rules gnome-mime-data-2.4.0/debian/rules
--- gnome-mime-data-2.4.0.orig/debian/rules	2003-11-08 00:00:29.000000000 +0100
+++ gnome-mime-data-2.4.0/debian/rules	2003-11-08 00:00:07.000000000 +0100
@@ -8,6 +8,9 @@
 # This is the debhelper compatability version to use.
 export DH_COMPAT=3
 
+# Include dpatch stuff.
+include /usr/share/dpatch/dpatch.make
+
 configure: configure-stamp
 configure-stamp:
 	dh_testdir
@@ -17,14 +20,14 @@
 	touch configure-stamp
 
 build: configure-stamp build-stamp
-build-stamp:
+build-stamp: patch
 	dh_testdir
 
 	$(MAKE)
 
 	touch build-stamp
 
-clean:
+clean: unpatch
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp configure-stamp

--=-=-=--